Page MenuHomePhabricator

How to redirect from dev.wikimedia.org
Closed, ResolvedPublic

Description

In one side we have dev.wikimedia.org, and in the other side we have a namespace to be defined at mediawiki.org (T555). How should we bridge them?

Options:

  • dev.wikimedia.org points to www.mediawiki.org/wiki/Namespace:Main, and that's it. Simple to implement but... not very elegant?
  • A full redirect where www.mediawiki.org/wiki/Namespace:Foo pages always shows dev.wikimedia.org/Foo. Very nice but is that even possible? This might also have undesired side effects i links, searches, etc. Worth investigating?
  • Other?

Details

Reference
fl558

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:46 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl558.

legoktm wrote on 2014-08-26 17:49:33 (UTC)

I would just set up a redirect from dev.wikimedia.org/ --> the project's main page on mediawiki.org. Redirecting mw.o --> dev.wm.o will get confusing and annoying very fast.

flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
Qgil removed Qgil as the assignee of this task.Oct 11 2014, 6:27 PM
In T372#4143, @flimport wrote:

legoktm wrote on 2014-08-26 17:49:33 (UTC)
I would just set up a redirect from dev.wikimedia.org/ --> the project's main page on mediawiki.org. Redirecting mw.o --> dev.wm.o will get confusing and annoying very fast.

agreed. so what would the target URL be ?

gerritbot added a subscriber: gerritbot.

Change 187184 had a related patch set uploaded (by Dzahn):
add misc-web varnish for dev.wikimedia.org

https://gerrit.wikimedia.org/r/187184

Patch-For-Review

Change 187186 had a related patch set uploaded (by Dzahn):
add basic Apache site and docroot for dev.wm.org

https://gerrit.wikimedia.org/r/187186

Patch-For-Review

Change 187184 merged by Dzahn:
add misc-web varnish for dev.wikimedia.org

https://gerrit.wikimedia.org/r/187184

Change 187186 merged by Dzahn:
add basic Apache site and docroot for dev.wm.org

https://gerrit.wikimedia.org/r/187186

Apache::Site[dev.wikimedia.org]/Apache::Conf[dev.wikimedia.org]/File[/etc/apache2/sites-available/50-dev-wikimedia-org.conf]: Scheduling refresh of Service[apache2]

^ Apache config and docroot created by puppet

prepared for content, placeholder page is up:

https://dev.wikimedia.org/

Qgil lowered the priority of this task from Normal to Low.Feb 4 2015, 8:50 AM
Qgil added a subscriber: Qgil.

We have decided to prioritize the creation of some actual content under the existing API: namespace in mediawiki.org.

Dzahn added a comment.Feb 13 2015, 9:57 PM
In T372#1013905, @Qgil wrote:

We have decided to prioritize the creation of some actual content under the existing API: namespace in mediawiki.org.

What does that mean? That dev.wm is not going to be used in favor of just staying on mediawiki.org or that you still want dev.wm to redirect to some page on mediawiki.org? If the former, then i'd simply remove it again.

Change 199182 had a related patch set uploaded (by Spage):
Redirect dev.wikimedia.org URLs

https://gerrit.wikimedia.org/r/199182

In T372#1037859, @Dzahn wrote:
In T372#1013905, @Qgil wrote:

actual content under the existing API: namespace in mediawiki.org.

What does that mean? That dev.wm is not going to be used in favor of just staying on mediawiki.org or that you still want dev.wm to redirect to some page on mediawiki.org? If the former, then i'd simply remove it again.

For now, the latter, thus my gerrit above. "dev.wikimedia.org" has enough momentum that I want it to work, even though we're not ready to T307: Announcing the Developer Hub prototype release. FYI to meet some of our requirements (T301 and others) I'll be prototyping on a labs instance and it may later redirect to that. Thanks for being flexible!

Can someone please remind me why we have dev.wikimedia.org again? Are we trying to get around some kind of blacklisting or length limitation by not using mediawiki.org? I genuinely don't know what problem(s) this new domain is intended to solve.

Qgil added a comment.EditedMar 24 2015, 7:59 AM

We want a memorable and promotable URL for developers and researchers interested in Wikimedia data and the APIs to interact with it.

See T311 and https://www.mediawiki.org/wiki/dev.wikimedia.org

Change 199581 had a related patch set uploaded (by Dzahn):
point dev.wikimedia to cluster, not misc-web

https://gerrit.wikimedia.org/r/199581

Change 199581 merged by Andrew Bogott:
point dev.wikimedia to cluster, not misc-web

https://gerrit.wikimedia.org/r/199581

gerrit 199182 is OK to deploy, but the destination URL is likely to change later in April to a labs instance for T98164: prototype Data and developer hub with Blueprint skin, and again, probably in June, to the Dev: namespace on mediawiki.org (T369: Implement a namespace in mediawiki.org to host the developer hub).

Since deploying Apache changes is more complex than I thought, e.g. it needs a window on the Deployments calendar (like the Apache redirects update on April 20), this remains low priority.

Qgil added a comment.May 6 2015, 5:08 AM

I would just leave the redirect as it is now. dev.wikimedia.org is still nothing and it is not advertised anywhere (for a good reason). The prototype does not need it.

Change 199182 merged by Dzahn:
Redirect dev.wikimedia.org URLs

https://gerrit.wikimedia.org/r/199182

Dzahn added a comment.May 22 2015, 8:22 PM

Does this mean this ticket is resolved?

Dzahn closed this task as Resolved.May 22 2015, 9:48 PM
Dzahn claimed this task.
Qgil added a comment.May 23 2015, 12:57 PM

I'd say good enough for now, yes. Thank you!